javax.vecmath

## Class TexCoord4f

- java.lang.Object
- - javax.vecmath.Tuple4f
  - - javax.vecmath.TexCoord4f

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class TexCoord4f
      extends Tuple4f
      implements java.io.Serializable

  A 4 element texture coordinate that is represented by single precision floating point x,y,z,w coordinates.
  Since:
    vecmath 1.3
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.vecmath.Tuple4f

      `w, x, y, z`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TexCoord4f()` Constructs and initializes a TexCoord4f to (0,0,0,0).
    `TexCoord4f(float[] v)` Constructs and initializes a TexCoord4f from the array of length 4.
    `TexCoord4f(float x, float y, float z, float w)` Constructs and initializes a TexCoord4f from the specified xyzw coordinates.
    `TexCoord4f(TexCoord4f v1)` Constructs and initializes a TexCoord4f from the specified TexCoord4f.
    `TexCoord4f(Tuple4d t1)` Constructs and initializes a TexCoord4f from the specified Tuple4d.
    `TexCoord4f(Tuple4f t1)` Constructs and initializes a TexCoord4f from the specified Tuple4f.

  - ### Method Summary

    - ### Methods inherited from class javax.vecmath.Tuple4f

      `absolute, absolute, add, add, clamp, clamp, clampMax, clampMax, clampMin, clampMin, clone, epsilonEquals, equals, equals, get, get, getW, getX, getY, getZ, hashCode, interpolate, interpolate, negate, negate, scale, scale, scaleAdd, scaleAdd, set, set, set, set, setW, setX, setY, setZ, sub, sub, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TexCoord4f

          public TexCoord4f(float x,
                    float y,
                    float z,
                    float w)

      Constructs and initializes a TexCoord4f from the specified xyzw coordinates.
      Parameters:
        `x` - the x coordinate
        `y` - the y coordinate
        `z` - the z coordinate
        `w` - the w coordinate

    - #### TexCoord4f

          public TexCoord4f(float[] v)

      Constructs and initializes a TexCoord4f from the array of length 4.
      Parameters:
        `v` - the array of length w containing xyzw in order

    - #### TexCoord4f

          public TexCoord4f(TexCoord4f v1)

      Constructs and initializes a TexCoord4f from the specified TexCoord4f.
      Parameters:
        `v1` - the TexCoord4f containing the initialization x y z w data

    - #### TexCoord4f

          public TexCoord4f(Tuple4f t1)

      Constructs and initializes a TexCoord4f from the specified Tuple4f.
      Parameters:
        `t1` - the Tuple4f containing the initialization x y z w data

    - #### TexCoord4f

          public TexCoord4f(Tuple4d t1)

      Constructs and initializes a TexCoord4f from the specified Tuple4d.
      Parameters:
        `t1` - the Tuple4d containing the initialization x y z w data

    - #### TexCoord4f

          public TexCoord4f()

      Constructs and initializes a TexCoord4f to (0,0,0,0).

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.